test: _KAPC struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _KAPC Struct Reference

`#include <ntosdef.h>`

List of all members.

## Public Attributes

CSHORT | Type
CSHORT | Size
ULONG | Spare0
_KTHREAD * | Thread
LIST_ENTRY | ApcListEntry
PKKERNEL_ROUTINE | KernelRoutine
PKRUNDOWN_ROUTINE | RundownRoutine
PKNORMAL_ROUTINE | NormalRoutine
PVOID | NormalContext
PVOID | SystemArgument1
PVOID | SystemArgument2
CCHAR | ApcStateIndex
KPROCESSOR_MODE | ApcMode
BOOLEAN | Inserted

## Member Data Documentation

LIST_ENTRY _KAPC::ApcListEntry

| Definition at line 240 of file ntosdef.h.

KPROCESSOR_MODE _KAPC::ApcMode

| Definition at line 253 of file ntosdef.h.

CCHAR _KAPC::ApcStateIndex

| Definition at line 252 of file ntosdef.h.

BOOLEAN _KAPC::Inserted

| Definition at line 254 of file ntosdef.h. Referenced by KeFlushQueueApc(), and KiDeliverApc().

PKKERNEL_ROUTINE _KAPC::KernelRoutine

| Definition at line 241 of file ntosdef.h. Referenced by KiDeliverApc(), and KiSuspendThread().

PVOID _KAPC::NormalContext

| Definition at line 244 of file ntosdef.h. Referenced by KiDeliverApc(), and PspExitNormalApc().

PKNORMAL_ROUTINE _KAPC::NormalRoutine

| Definition at line 243 of file ntosdef.h. Referenced by KiDeliverApc(), and KiInsertQueueApc().

PKRUNDOWN_ROUTINE _KAPC::RundownRoutine

| Definition at line 242 of file ntosdef.h. Referenced by PspExitThread().

CSHORT _KAPC::Size

| Definition at line 237 of file ntosdef.h.

ULONG _KAPC::Spare0

| Definition at line 238 of file ntosdef.h.

PVOID _KAPC::SystemArgument1

| Definition at line 250 of file ntosdef.h. Referenced by KeSetAutoAlignmentThread(), KiDeliverApc(), NtGetContextThread(), and NtSetContextThread().

PVOID _KAPC::SystemArgument2

| Definition at line 251 of file ntosdef.h. Referenced by CmpPostApcRunDown(), KeSetAutoAlignmentThread(), KiDeliverApc(), NtGetContextThread(), and NtSetContextThread().

struct _KTHREAD* _KAPC::Thread

| Definition at line 239 of file ntosdef.h. Referenced by ExpTimerApcRoutine(), and ExTimerRundown().

CSHORT _KAPC::Type

| Definition at line 236 of file ntosdef.h.

The documentation for this struct was generated from the following file:

- ntosdef.h